# geos::util::GEOSException Class Reference

Base class for all GEOS exceptions. More...

`#include <GEOSException.h>`

Inheritance diagram for geos::util::GEOSException:

List of all members.

## Public Member Functions

| GEOSException (std::string const &msg)
| GEOSException (std::string const &name, std::string const &msg)
const char * | what () const throw ()

## Detailed Description

Base class for all GEOS exceptions.

Exceptions are thrown as pointers to this type. Use toString() to get a readable message.

The documentation for this class was generated from the following file:

- GEOSException.h